Support » Theme: Required » Great theme, but half-assed translation readyness

  • This is a great theme, but unfortunately not ready for translation yet.

    The supplied .POT file is completely empty, so you’ll have to generate your own .POT file using this method:
    http://codex.wordpress.org/User:Skippy/Creating_POT_Files

    Even after that’s done and you’ve translated all the strings, there’s quite a bit of stuff still untranslated due to code errors the authors made.

    The creators of this theme made some errors in the code that makes certain strings untranslatable. The EDIT-link is for example coded like this in the theme:
    <?php edit_post_link( '- edit ', '<span>', '</span>'); ?>

    It should have been this:
    <?php edit_post_link( __( '- edit', 'required' ), '<span class="edit-link">', '</span>' ); ?>

    When the translation issues are fixed this theme deservers 5 stars.

  • The topic ‘Great theme, but half-assed translation readyness’ is closed to new replies.